import { client } from "../index.js";
import { Game } from "../api/Game.js";
import AbstractView from "./abstracts/AbstractView.js";

export default class extends AbstractView
{
    constructor(params)
	{
        super(params, "Game");
		this.game = new Game(client, params.id);
    }

	async postInit()
	{
		let error_code = await this.game.init();

        if (error_code)
            return error_code;
	}

    async getHtml()
	{
        return `
            <h1>Welcome back, Dom</h1>
            <p>
                Fugiat voluptate et nisi Lorem cillum anim sit do eiusmod occaecat irure do. Reprehenderit anim fugiat sint exercitation consequat. Sit anim laborum sit amet Lorem adipisicing ullamco duis. Anim in do magna ea pariatur et.
            </p>
            <p>
                <a href="/posts" data-link>View recent posts</a>.
            </p>
        `;
    }
}
